﻿using UnityEngine;
using UnityEditor;
using System.Collections;

[CustomEditor(typeof(Data))]
public class DataEditor : Editor 
{
	/** Update with each inspector event*/
	public override void OnInspectorGUI () 
	{
	
		serializedObject.Update();
		EditorGUILayout.LabelField("Binary sequence");
		SerializedProperty sequenceProperty = serializedObject.FindProperty("sequence");
		
		SerializedProperty bitListProperty = sequenceProperty.FindPropertyRelative("bitList");
		SerializedProperty newSizeList = sequenceProperty.FindPropertyRelative("numBits");
		
		/** set default size */
		bitListProperty.FindPropertyRelative("Array.size").intValue = newSizeList.intValue;
		int size = bitListProperty.FindPropertyRelative("Array.size").intValue;
		
		EditorGUIUtility.labelWidth = 2;
		EditorGUILayout.BeginHorizontal();
		
		GUILayout.FlexibleSpace();
		for (int i = 0; i < size ; ++i)
		{
			bitListProperty.GetArrayElementAtIndex(i).boolValue = EditorGUILayout.Toggle(" ",bitListProperty.GetArrayElementAtIndex(i).boolValue);
		}
		GUILayout.FlexibleSpace();
		EditorGUILayout.EndHorizontal();

		serializedObject.ApplyModifiedProperties();
	}
}
